%define rhugversion 20030923
%define rhugsource1 %{name}_%{usversion} upstream
%define usversion %(echo %{version} | sed 's:\\.:_:g')
%define rhugpatches 5

Summary: The Xalan XSLT processor
Name: xalan-j
Version: 2.4.1
Release: 11.XOS.1
URL: http://xml.apache.org/xalan-j/
Source: rhug-xalan-%{rhugversion}.tar.bz2
Source1: %{name}_%{usversion}-src.tar.gz
Patch1: %{name}-2.4.1-release.patch
Patch2: %{name}-2.4.1-buildclasspath.patch
Patch4: %{name}-2.4.1-hammer.patch
Patch5: %{name}-2.4.1-unreachable.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: xerces-j >= 2.2.1-10
BuildPrereq: bcel >= 5.0-10
BuildPrereq: cup >= v10k-10
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: xerces-j >= 2.2.1-10
Requires: bcel >= 5.0-10
Requires: cup >= v10k-10
Obsoletes: xalan
Provides: xalan
ExclusiveArch: i386 x86_64 ppc ia64

%description
Xalan is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath). It can be used from the command line, in an applet
or a servlet, or as a module in other program.

%package devel
Summary: CNI headers for developing Xalan applications
Group: Development/Libraries
Requires: xalan-j = %{version}-%{release}
Obsoletes: xalan-devel

%description devel
The xalan-j-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use Xalan.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch4 -p0 -b .hammer
%patch5 -p1 -b .unreachable
mv ChangeLog ChangeLog.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f
for f in xsltp; do
  mv ${RPM_BUILD_ROOT}%{_bindir}/$f ${RPM_BUILD_ROOT}%{_bindir}/$f-%{version}
done

%post
%{_sbindir}/javaconfig \
    %{_bindir}/xsltp \
    %{_libdir}/lib-javax-xml-transform.so \
    %{_libdir}/lib-org-apache-xalan.so \
    %{_libdir}/lib-org-apache-xalan-xsltc.so \
    %{_libdir}/lib-org-apache-xml.so \
    %{_libdir}/lib-org-apache-xpath.so \
    %{_libdir}/lib-org-w3c-dom-css.so \
    %{_libdir}/lib-org-w3c-dom-stylesheets.so \
    %{_libdir}/lib-org-w3c-dom-views.so \
    %{_datadir}/java/xalan.jar

%postun
%{_sbindir}/javaconfig \
    %{_bindir}/xsltp \
    %{_libdir}/lib-javax-xml-transform.so \
    %{_libdir}/lib-org-apache-xalan.so \
    %{_libdir}/lib-org-apache-xalan-xsltc.so \
    %{_libdir}/lib-org-apache-xml.so \
    %{_libdir}/lib-org-apache-xpath.so \
    %{_libdir}/lib-org-w3c-dom-css.so \
    %{_libdir}/lib-org-w3c-dom-stylesheets.so \
    %{_libdir}/lib-org-w3c-dom-views.so \
    %{_datadir}/java/xalan.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{License,readme.html,samples,commits.xml,xsltc_todo.xml}
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/xml/transform
%{_includedir}/org/apache/xalan
%{_includedir}/org/apache/xml
%{_includedir}/org/apache/xpath
%{_includedir}/org/w3c/dom/css
%{_includedir}/org/w3c/dom/stylesheets
%{_includedir}/org/w3c/dom/views

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.4.1-11.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on xalan-j-2.4.1-11.src.rpm
  (md5sum of original source rpm: f36194c0c22e5e508671209ae7e4a4e0).

* Tue Sep 23 2003 Gary Benson <gbenson@redhat.com> 2.4.1-11
- Fix linking of lib-org-apache-xalan-xsltc.so.

* Mon Sep 22 2003 Gary Benson <gbenson@redhat.com> 2.4.1-10
- Fix linking of lib-org-w3c-dom-css.so.

* Fri Sep 19 2003 Gary Benson <gbenson@redhat.com> 2.4.1-9
- Merge libraries to avoid unresolved symbols caused by broken
  circular dependencies.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 2.4.1-8
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 2.4.1-7
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 2.4.1-6
- Rebuild with new compiler.

* Mon Jul 28 2003 Gary Benson <gbenson@redhat.com> 2.4.1-5
- Add missing resources to jarfile (#100977).

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com>
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 2.4.1-4
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 2.4.1-3
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 29 2003 Gary Benson <gbenson@redhat.com> 2.4.1-2
- Rebuild with new compiler.

* Fri May 23 2003 Gary Benson <gbenson@redhat.com> 2.4.1-1
- Renamed from xalan to xalan-j.
- Move unversioned library symlinks into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 2.4.1-2
- Rebuild with new compiler.

* Mon Apr 28 2003 Gary Benson <gbenson@redhat.com> 2.4.1-1
- Initial Red Hat Linux build.

* Sat Mar  2 2002 Anthony Green <green@redhat.com>
- Initial RHUG build.
